{% import "bootstrap/utils.html" as utils %}
{% extends "base.html" %}
{% block body %}
    <div class="container">
        {{ utils.flashed_messages() }}
        <div class="card shadow mb-4">
            <!-- Card Header - Dropdown -->
            <div class="card-header py-3 d-flex flex-row align-items-center justify-content-center">
                <h1>{{ title }}</h1>
            </div>
            <div class="card-body">
                {% if orders %}
                    <table class="table table-striped table-bordered">
                        <thead>
                        <tr>
                            <th> Order Number</th>
                            <th> Customer</th>
                            <th> Description</th>
                            <th> Order date</th>
                            <th> Price</th>
                            <th> Edit</th>
                            <th> Delete</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for order in orders %}
                            <tr>
                                <td> {{ order.order_number }} </td>
                                <td> {{ order.customer.full_name }} </td>
                                <td> {{ order.description }} </td>
                                <td> {{ order.created_at.strftime('%d/%m/%Y') }} </td>
                                <td> €{{ order.total_price }} </td>
                                <td>
                                    <a href="{{ url_for('admin.edit_order', order_number=order.order_number) }}">
                                        <i class="fa fa-pencil"></i> Edit
                                    </a>
                                </td>
                                <td>
                                    <a href="{{ url_for('admin.delete_order', order_number=order.order_number) }}">
                                        <i class="fa fa-trash"></i> Delete
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                {% else %}
                    <div style="text-align: center">
                        <h3> No Orders have been added. </h3>
                        <hr>
                    </div>
                {% endif %}
                <div style="text-align: center">
                    <a href="{{ url_for('admin.add_order') }}" class="btn btn-default btn-lg">
                        <i class="fa-solid fa-plus"></i>
                        Add Order
                    </a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
